package contacter;

import javax.jdo.annotations.IdGeneratorStrategy;
import javax.jdo.annotations.IdentityType;
import javax.jdo.annotations.PersistenceCapable;
import javax.jdo.annotations.Persistent;
import javax.jdo.annotations.PrimaryKey;

import com.google.appengine.api.datastore.Key;

@PersistenceCapable(identityType = IdentityType.APPLICATION)
public class ContactLinksTable {
    @PrimaryKey
    @Persistent(valueStrategy = IdGeneratorStrategy.IDENTITY)
    private Key key;
    
    @Persistent
    private String repoName;
    
    @Persistent
    private String idOnRepo;
    
    @Persistent
    private String test3_gmail;
    
    @Persistent
    private String test4_gmail;
    
    @Persistent
    private String idOnUser3;
    
    @Persistent
    private String idOnUser4;
    
    @Persistent
    private String idOnUser5;
    
    @Persistent
    private String idOnUser6;
    
    @Persistent
    private String idOnUser7;
    
    @Persistent
    private String idOnUser8;
    
    @Persistent
    private String idOnUser9;
    
    @Persistent
    private String idOnUser10;
    
    @Persistent
    private String name;
    
    public ContactLinksTable(String repoName, String idOnRepo, String test3_gmail, String test4_gmail, String idOnUser3, String idOnUser4
    		, String idOnUser5, String idOnUser6, String idOnUser7, String idOnUser8, String idOnUser9, String idOnUser10
    		, String name){
    	this.repoName = repoName;
    	this.idOnRepo = idOnRepo;
        this.test3_gmail = test3_gmail;
        this.test4_gmail = test4_gmail;
        this.idOnUser3 = idOnUser3;
        this.idOnUser4 = idOnUser4;
        this.idOnUser5 = idOnUser5;
        this.idOnUser6 = idOnUser6;
        this.idOnUser7 = idOnUser7;
        this.idOnUser8 = idOnUser8;
        this.idOnUser9 = idOnUser9;
        this.idOnUser10 = idOnUser10;
        this.name = name;
    }
    public String getRepoName(){
    	return repoName;
    }
    public String getIdOnRepo(){
    	return idOnRepo;
    }
    public String getTest3_gmail(){
    	return test3_gmail;
    }
    public String getTest4_gmail(){
    	return test4_gmail;
    }    
    public String getIdOnUser3(){
    	return idOnUser3;
    }
    public String getIdOnUser4(){
    	return idOnUser4;
    }
    public String getIdOnUser5(){
    	return idOnUser5;
    }
    public String getIdOnUser6(){
    	return idOnUser6;
    }
    public String getIdOnUser7(){
    	return idOnUser7;
    }
    public String getIdOnUser8(){
    	return idOnUser8;
    }
    public String getIdOnUser9(){
    	return idOnUser9;
    }
    public String getIdOnUser10(){
    	return idOnUser10;
    }
    public String getName(){
    	return name;
    }
    
    
    public void setRepoName(String repoName){
    	this.repoName = repoName;
    }
    public void setIdOnRepo(String idOnRepo){
    	this.idOnRepo = idOnRepo;
    }
    public void setTest3_gmail (String test3_gmail){
    	this.test3_gmail = test3_gmail;
    }
    public void setTest4_gmail(String test4_gmail){
    	this.test4_gmail = test4_gmail;
    }
    public void setIdOnUser3(String idOnUser3){
    	this.idOnUser3 = idOnUser3;
    }
    public void setIdOnUser4(String idOnUser4){
    	this.idOnUser4 = idOnUser4;
    }
    public void setIdOnUser5(String idOnUser5){
    	this.idOnUser5 = idOnUser5;
    }
    public void setIdOnUser6(String idOnUser6){
    	this.idOnUser6 = idOnUser6;
    }
    public void setIdOnUser7(String idOnUser7){
    	this.idOnUser7 = idOnUser7;
    }
    public void setIdOnUser8(String idOnUser8){
    	this.idOnUser8 = idOnUser8;
    }
    public void setIdOnUser9(String idOnUser9){
    	this.idOnUser9 = idOnUser9;
    }
    public void setIdOnUser10(String idOnUser10){
    	this.idOnUser10 = idOnUser10;
    }
    public void setName(String name){
    	this.name = name;
    }
}
