package contacter;

import java.io.IOException;
import java.util.logging.Logger;

import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.google.gdata.client.contacts.ContactsService;
import com.google.gdata.util.AuthenticationException;
import com.google.gdata.util.ServiceException;

// For testing purposes

public class PrintContactsServlet extends HttpServlet {
	private static final Logger log = Logger.getLogger(PrintContactsServlet.class.getName());
	  public void doPost(HttpServletRequest req, HttpServletResponse resp)
  	throws IOException {
		   String userIdTo = 
			   req.getParameter("userIdFrom").substring(0, req.getParameter("userIdFrom").indexOf("(")).trim();
		   log.info("Initiated listing of " + userIdTo);
		   ContactsService serviceTo = null;
		   try {serviceTo = new OfflineAuthentication().getService(userIdTo);}
		   catch (AuthenticationException e1) {e1.printStackTrace();}

		  try {
			ContactsActions.printAllContacts(serviceTo);
		} catch (ServiceException e) {e.printStackTrace();}
		
		resp.sendRedirect("/welcome.jsp");
	  }
}
