<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ page import="com.google.appengine.api.users.User" %>
<%@ page import="com.google.appengine.api.users.UserService" %>
<%@ page import="com.google.appengine.api.users.UserServiceFactory" %>
<%@ page import="java.util.ArrayList" %>
<%@ page import="java.net.URL" %>
<%@ page import="com.google.gdata.util.AuthenticationException" %>
<%@ page import="com.google.gdata.client.contacts.ContactsService" %>
<%@ page import="com.google.gdata.data.contacts.ContactFeed" %>
<%@ page import="com.google.gdata.util.ServiceException" %>
<%@ page import="java.io.IOException" %>
<%@ page import="contacter.OfflineAuthentication" %>
<html>
  <title>C-Sync - Welcome</title>
  <head>
    <link type="text/css" rel="stylesheet" href="/stylesheets/main.css" />
  </head>

<body onload="document.menus.sync.disabled=true;">

      <%
        ArrayList nbrContacts = new ArrayList();
        ArrayList<String> users = new ArrayList<String>();
        users.add("test1@mydomain.com");
        users.add("test2@mydomain.com");
        users.add("test3@gmail.com");
        users.add("test4@gmail.com");
      
        for (int idx=0;idx < users.size();idx++)
        {
             ContactsService myService = null;
	         try {
    		     myService = new OfflineAuthentication().getService(users.get(idx));
    		     
    		     // Google App engine won't allow un-serializable objects in sessions
    		     //session.setAttribute( users.get(idx), myService ); // Save Services
			 } catch (AuthenticationException e1) {e1.printStackTrace();}
		       
		     try {
		          URL feedUrl = new URL("http://www.google.com/m8/feeds/contacts/default/full");
    		      ContactFeed resultFeed = myService.getFeed(feedUrl, ContactFeed.class);
		    	  nbrContacts.add(resultFeed.getTotalResults());
             } catch (ServiceException e) {e.printStackTrace();}
               catch (IOException e) {e.printStackTrace();}
          }
          
        UserService userService = UserServiceFactory.getUserService();
        User user = userService.getCurrentUser();
        if (user != null) {
      %>
      <h4 align="right"> Bienvenue, <%= user %> (<a href="<%= userService.createLogoutURL(request.getRequestURI()) %>">sign out</a>)</h4>
      <h1 align="center" <img src="OrangeLogo.jpeg" align="center">C-Sync.</h1>
      <%
        } else {
      %>
      <h1 align="center" <img src="OrangeLogo.jpeg">C-Sync.</h1>
      <% 
        }
        if (user == null) {
            response.sendRedirect(userService.createLoginURL(request.getRequestURI()));
        }
      %>
      <br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
      <!-- <u>From</u>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <u>To</u> -->
      <br><br>
    <div align=center>    
    <form name="menus"  method="post" align="center">
      <SELECT NAME="userIdFrom" id="firstSelect" COL=10 SIZE=5 single onchange="onChange();">
        <OPTION>    test1@mydomain.com (<%= nbrContacts.get(0) %>)
        <OPTION>	test2@mydomain.com (<%= nbrContacts.get(1) %>) 
      </SELECT>
      <img name="fleche" src="arrowRed.png" style="height: 70px; width: 86px" onClick="confirmation();">
      <SELECT NAME="userIdTo" COL=10 SIZE=5 single onchange="onChange();">
        <OPTION>	test3@gmail.com (<%= nbrContacts.get(2) %>)
        <OPTION>	test4@gmail.com (<%= nbrContacts.get(3) %>)
      </SELECT>
      
      <!-- <div><input type="submit" value="Sync Up!" onclick="batchSync()" 
      style="height: 45px; width: 200px" /></div>
	  <div><input type="submit" value="Print SOURCE contacts" onclick="print()" 
      style="height: 45px; width: 200px" /></div> -->
      
      <h4><INPUT TYPE=CHECKBOX NAME="showDeleted">Sync Up deleted entries?</h4>
	</form>
	<br></br>
    <form name="ListLinks" action="/listSyncTable" method="post" align="center" >
      <div><input type="submit" value="Browse the Sync Table" 
      style="height: 35px; width: 200px" /></div>
    </form>
    </div>
  </p>
  <msg>
  
    <% String message = request.getParameter("message");
       if (message != null){
    %>
          <p align="center"><%= message %></p><BR>
    <%
       }
    %>
    
	<script type="text/javascript">
	<!--
	function confirmation() {
		var answer = confirm("Sync Up " + document.menus.userIdFrom.options[document.menus.userIdFrom.options.selectedIndex].value +
			 " with " + document.menus.userIdTo.options[document.menus.userIdTo.options.selectedIndex].value 
			 + "?")
		if (answer){
			menus.setAttribute("action", "/doSync");
			menus.submit();
		}
	}
	function print() {
		menus.setAttribute("action", "/printContacts");
		menus.submit();
	}
	function batchSync() {
		menus.setAttribute("action", "/cron/doSyncBatch");
		menus.submit();
	}
	//-->
	</script>
    
    </msg>
      <script type="text/javascript">
        function onChange() {
          var userIdFromIdx=document.menus.userIdFrom.selectedIndex;
          var userIdToIdx=document.menus.userIdTo.selectedIndex;
          var myURL;
          if (userIdFromIdx>=0 && userIdToIdx>=0)
          { 
            document['fleche'].src = "arrow1.png";
            document['fleche'].focus;
            document.menus.sync.disabled=false;
          }
        }
    </script>
  </body>
</html>