package contacter;

import java.io.PrintWriter;
import java.io.StringWriter;
import java.util.Date;
import java.util.Properties;

import javax.mail.Message;
import javax.mail.MessagingException;
import javax.mail.Session;
import javax.mail.Transport;
import javax.mail.internet.AddressException;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;


public class ErrorHandling
{
      private static String smtpServer="smtp.gmail.com";
      private static String to="test1@mydomain.com";
      private static String from="test1@mydomain.com";
      private static String subject="[C-SYNC] Exception";
      
      public static void sendEMail(String exIn) {
  	      Properties props = System.getProperties();
	      // -- Attaching to default Session, or we could start a new one --
	      props.put("mail.smtp.host", smtpServer);
	      Session session = Session.getDefaultInstance(props, null);

	      Message msg = new MimeMessage(session);
	      try {
			msg.setFrom(new InternetAddress(from));
		    msg.setRecipients(Message.RecipientType.TO,
			InternetAddress.parse(to, false));
			msg.setSubject(subject);
			msg.setText(exIn);
			msg.setHeader("X-Mailer", "MyDomain");
			msg.setSentDate(new Date());
			
			// -- Send the message --
			Transport.send(msg);
	      } 
	      catch (AddressException e) {e.printStackTrace();}
	      catch (MessagingException e) {e.printStackTrace();}
      }
      
      public static String stackToString(Exception e) {
    	  try {
    	    StringWriter sw = new StringWriter();
    	    PrintWriter pw = new PrintWriter(sw);
    	    e.printStackTrace(pw);
    	    return "------\r\n" + sw.toString() + "------\r\n";
    	  }
    	  catch(Exception e2) {
    	    sendEMail("Error in stackToString");
    	    return null;
    	  }
    	 }
}