package contacter;

import java.io.FileInputStream;
import java.io.IOException;
import java.util.Properties;

import com.google.gdata.client.contacts.ContactsService;
import com.google.gdata.util.AuthenticationException;

public class OfflineAuthentication {
	public ContactsService getService(String userId) throws IOException, AuthenticationException{
		    if (userId != null){
		      ContactsService myService = new ContactsService("MyProject-CSync");
		      myService.setUserCredentials(userId,readProperties().getProperty(userId));
			  return myService;
		    } else {return null;}
	}
	
	private static Properties readProperties() throws IOException {
		   Properties properties = new Properties();
		   FileInputStream fis = new FileInputStream("WEB-INF/pwd.xml");
		   properties.loadFromXML(fis);
		   return properties;
	}
}
